# Read company preference tiers

Read all preference tiers with respective label for a company.

Endpoint: GET /v2/companies/{companyId}/preference-tiers
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `companyId` (string, required)
    Identifier for company.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `preferenceTiersPerBookingType` (array, required)
    List of preference tiers with respective labels for different booking types.

  - `preferenceTiersPerBookingType.allowedEntityTypes` (array, required)
    Different entity types that are allowed for defining preference.

  - `preferenceTiersPerBookingType.bookingType` (string, required)
    What type of travel booking it is.
    Enum: "AIR", "HOTEL", "CAR", "RAIL", "LIMO"

  - `preferenceTiersPerBookingType.preferenceTiers` (array, required)
    List of preference tiers with respective labels.

  - `preferenceTiersPerBookingType.preferenceTiers.level` (string, required)
    Different levels of tier.
    Enum: "TIER_1", "TIER_2", "TIER_3", "TIER_4", "TIER_5", "TIER_6"

  - `preferenceTiersPerBookingType.preferenceTiers.label` (string, required)
    Text to be used to display given tier.

  - `preferenceTiersPerBookingType.preferenceTiers.description` (string)
    Short description about the tier level.

  - `preferenceTiersPerBookingType.preferenceTiers.showLabel` (boolean, required)
    Whether to show label in search result for the given tier.

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

